#!/bin/sh

mem=$(cat /proc/meminfo);
ps=$(ps);
cdate=$(date);
syslog=$(logread);
uptime=$(uptime);
hostname=$(uci get system.@system[0].hostname);
board=$(cat /var/sysinfo/model);
networkstat=$(ifconfig);
df=$(df -h);
tmp=$(du /tmp | sort -n);

echo -e \
"info: $2
date: $cdate
uptime: $uptime
hostname: $hostname
board: $board
_________________
mem:
$mem
_________________
df:
$df
_________________
ps:
$ps
_________________
network:
$networkstat
_________________
logread:
$syslog
_________________
tmp:
$tmp
" > $1
